> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Retrieve a Device Transaction Log

> GET /transaction_log



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}



### Query parameters

- **fields** (string)
  filter and/or select response fields. Use `fields=<fieldname>(="<value>")` to filter by any available field. Multiple filters can be combined with a comma. Example: `fields=username(="demo_user"),profile_id(="12345")`. Filterable fields: `username`, `date`, `action`, `description`, `last_updated`, `server_id`, `profile_id`

- **limit** (number)
  maximum number of results to return

- **offset** (number)
  skip that many records before beginning to return



## Responses
### 200
OK

#### Body: application/json (object)
- **username** (string)

- **date** (string)

- **description** (string)

- **last_updated** (string)


### 400
Bad Request - `limit` or `offset` is not an integer.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure



[Powered by Bump.sh](https://bump.sh)
